Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ve
Class FactorPlus

    java.lang.Object
      |
      +--ve.Factor
            |
            +--ve.FactorPlus

public class FactorPlus
extends Factor

This the the class of factors that are the sum of other factors. It is lazy in that it doesn't explicitly store the factors. The values can be computed as needed using the `EltsIterator`. This is the the same as `FactorTimes` except it uses + instead of *.

Inner Class Summary
`private class` | `FactorPlus.Itr`

Field Summary
`private Factor` | `fac1` the factors that are to be multiplied point by point.
`private Factor` | `fac2` the factors that are to be multiplied point by point.

Fields inherited from class ve.Factor
`BY_ASSIGN, BY_CPT, BY_DETERMINISTIC, BY_EXPANDING, BY_GENRULE, BY_MAXIMIZING, BY_MULTIPLYING, BY_NORMALIZING, BY_OBSERVED, BY_PLUS, BY_REORDERING, BY_SAVEIT, BY_SUM_OUT, BY_UNIFORM, BY_UPDATABLE, BY_V_ELIM, howCreatedVal, savingForTracing, thesize, variables`

Constructor Summary
`FactorPlus(Factor f1, Factor f2)` constructs a factor with the given variables.

Method Summary
`EltsIterator` | `iterator()` Returns an iterator over the values of the factor.
`private static Variable[]` | `unionVars(Variable[] vars1, Variable[] vars2)` returns the array representing the union of the variables.

Methods inherited from class ve.Factor
`allOnes, contains, display, getName, getSavingForTracing, getVariables, howCreated, isRedundant, isRedundant, print, print, printVariables, setSavingForTracing, size, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### fac1

    private Factor fac1

  the factors that are to be multiplied point by point.

### fac2

    private Factor fac2

  the factors that are to be multiplied point by point.

Constructor Detail

### FactorPlus

    public FactorPlus(Factor f1,
                      Factor f2)

  constructs a factor with the given variables.

Method Detail

### iterator

    public EltsIterator iterator()

  Description copied from class: `Factor`
  Returns an iterator over the values of the factor.
  Overrides:
    `iterator` in class `Factor`

### unionVars

    private static Variable[] unionVars(Variable[] vars1,
                                        Variable[] vars2)

  returns the array representing the union of the variables.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD